ChiliProject - Bug # 413: Test errors on 1.8.6 after acts_as_journalized merge

Status: Closed Priority: Normal

Author: Gregor Schmidt Category:

Created: 2011-05-13 Assignee:

Updated: 2011-05-13 Due date:

Remote issue URL:

Affected version: unstable

Description: There is an incompatibility with an APl change from 1.8.6 to 1.8.7. Some tests in the IssueControllerTest rely

on @Hasht##first@ which was only introduced with Ruby 1.8.7.

| know, that 1.8.6's support status is rather vague, but since the needed changes are rather minimal, | am
proposing to fix this issue.

Associated revisions

2009-05-17 11:55 am - Jean-Philippe Lang

Adds email notification on wiki changes (#413). It's disabled by default and can be enabled in application settings.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2749 e93{8b46-1217-0410-a6f0-8f06a7374b81

2009-05-25 09:02 pm - Jean-Philippe Lang
Ability to watch a wiki or a single wiki page (#413).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2765 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-05-14 12:09 am - Gregor Schmidt
[#413] using Hash#to_a.first since Hash#first is not present in 1.8.6

2011-05-14 01:38 am - Felix SchA=fer
Merge pull request #54 from schmidt/b/413-test-errors-in-1.8.6

Fix test errors on 1.8.6 after acts_as_journalized merge. #413

History

2011-05-13 10:25 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/54.

Thanks for having a look.

2011-05-13 11:39 pm - Felix Schafer
- Status changed from Ready for review to Closed

As this is only in the tests, | don't mind the performance hit if any. Merged in commit:0957e478abbc12cfoff36cdefb455dd0c5e663at, thanks.
